gstreamermm: Gst::VideoRate Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::VideoRate Class Reference
gstreamermm Plugins

A Wrapper for the videorate plugin. More...

Inheritance diagram for Gst::VideoRate:
[legend]
Collaboration diagram for Gst::VideoRate:
[legend]

List of all members.

## Public Member Functions
virtual | ~VideoRate ()
GstVideoRate* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoRate* | gobj () const
| Provides access to the underlying C GObject.
GstVideoRate* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly < guint64 > | property_in () const
| Number of input frames.
Glib::PropertyProxy_ReadOnly < guint64 > | property_out () const
| Number of output frames.
Glib::PropertyProxy_ReadOnly < guint64 > | property_duplicate () const
| Number of duplicated frames.
Glib::PropertyProxy_ReadOnly < guint64 > | property_drop () const
| Number of dropped frames.
Glib::PropertyProxy< bool > | property_silent ()
| Don't emit notify for dropped and duplicated frames.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Don't emit notify for dropped and duplicated frames.
Glib::PropertyProxy< double > | property_new_pref ()
| Value indicating how much to prefer new frames (unused).
Glib::PropertyProxy_ReadOnly < double > | property_new_pref () const
| Value indicating how much to prefer new frames (unused).
Glib::PropertyProxy< bool > | property_skip_to_first ()
| Don't produce buffers before the first one we receive.
Glib::PropertyProxy_ReadOnly < bool > | property_skip_to_first () const
| Don't produce buffers before the first one we receive.
Glib::PropertyProxy< bool > | property_drop_only ()
| Only drop frames, no duplicates are produced.
Glib::PropertyProxy_ReadOnly < bool > | property_drop_only () const
| Only drop frames, no duplicates are produced.
Glib::PropertyProxy< guint64 > | property_average_period ()
| Period over which to average the framerate (in ns) (0 = disabled).
Glib::PropertyProxy_ReadOnly < guint64 > | property_average_period () const
| Period over which to average the framerate (in ns) (0 = disabled).
Glib::PropertyProxy< int > | property_max_rate ()
| Maximum framerate allowed to pass through (in frames per second, implies drop-only).
Glib::PropertyProxy_ReadOnly< int > | property_max_rate () const
| Maximum framerate allowed to pass through (in frames per second, implies drop-only).
Glib::PropertyProxy < Gst::Fraction > | property_force_fps ()
| Force output framerate (negative means negotiate via caps).
Glib::PropertyProxy_ReadOnly < Gst::Fraction > | property_force_fps () const
| Force output framerate (negative means negotiate via caps).
## Static Public Member Functions
static Glib::RefPtr< VideoRate > | create ()
| Creates a new videorate plugin with a unique name.
static Glib::RefPtr< VideoRate > | create (const Glib::ustring& name)
| Creates a new videorate plugin with the given name.
## Protected Member Functions
| VideoRate ()
| VideoRate (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VideoRate > | wrap (GstVideoRate* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the videorate plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::VideoRate::~VideoRate | ( |  | ) | `[virtual]`

Gst::VideoRate::VideoRate | ( |  | ) | `[protected]`

Gst::VideoRate::VideoRate | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<VideoRate> Gst::VideoRate::create | ( |  | ) | `[static]`

Creates a new videorate plugin with a unique name.

static Glib::RefPtr<VideoRate> Gst::VideoRate::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new videorate plugin with the given name.

GstVideoRate* Gst::VideoRate::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

const GstVideoRate* Gst::VideoRate::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstVideoRate* Gst::VideoRate::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

Glib::PropertyProxy< guint64 > Gst::VideoRate::property_average_period | ( |  | ) |

Period over which to average the framerate (in ns) (0 = disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::VideoRate::property_average_period | ( |  | ) | const

Period over which to average the framerate (in ns) (0 = disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::VideoRate::property_drop | ( |  | ) | const

Number of dropped frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::VideoRate::property_drop_only | ( |  | ) |

Only drop frames, no duplicates are produced.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoRate::property_drop_only | ( |  | ) | const

Only drop frames, no duplicates are produced.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::VideoRate::property_duplicate | ( |  | ) | const

Number of duplicated frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::Fraction > Gst::VideoRate::property_force_fps | ( |  | ) |

Force output framerate (negative means negotiate via caps).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::Fraction > Gst::VideoRate::property_force_fps | ( |  | ) | const

Force output framerate (negative means negotiate via caps).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::VideoRate::property_in | ( |  | ) | const

Number of input frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoRate::property_max_rate | ( |  | ) |

Maximum framerate allowed to pass through (in frames per second, implies drop-only).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoRate::property_max_rate | ( |  | ) | const

Maximum framerate allowed to pass through (in frames per second, implies drop-only).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::VideoRate::property_new_pref | ( |  | ) |

Value indicating how much to prefer new frames (unused).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::VideoRate::property_new_pref | ( |  | ) | const

Value indicating how much to prefer new frames (unused).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::VideoRate::property_out | ( |  | ) | const

Number of output frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::VideoRate::property_silent | ( |  | ) |

Don't emit notify for dropped and duplicated frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoRate::property_silent | ( |  | ) | const

Don't emit notify for dropped and duplicated frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::VideoRate::property_skip_to_first | ( |  | ) |

Don't produce buffers before the first one we receive.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoRate::property_skip_to_first | ( |  | ) | const

Don't produce buffers before the first one we receive.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VideoRate > wrap | ( | GstVideoRate * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/videorate.h